LibreOffice: XFilePickerListener Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XFilePickerListener Interface Referencepublished

Interface to be implemented by a FilePicker listener. More...

`import "XFilePickerListener.idl";`

Inheritance diagram for XFilePickerListener:

## Public Member Functions
void | fileSelectionChanged ([in] FilePickerEvent aEvent)
| A client receives this event if the file selection within the FilePicker service dialog changes.
void | directoryChanged ([in] FilePickerEvent aEvent)
| A client receives this event if the directory selection within the FilePicker dialog changes.
string | helpRequested ([in] FilePickerEvent aEvent)
| A client receives this event if the F1 key or the help button was pressed.
void | controlStateChanged ([in] FilePickerEvent aEvent)
| A client receives this event if the state of a control within the FilePicker service dialog changes.
void | dialogSizeChanged ()
| A client receives this event if the size of the FilePicker dialog has changed.
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Interface to be implemented by a FilePicker listener.

The XFilePickerListener interface must be implemented by the clients of the FilePicker service which need to be informed about events while the FilePicker service is displayed.

## Member Function Documentation

## ◆ controlStateChanged()

void controlStateChanged | ( | [in] FilePickerEvent | aEvent | ) |

A client receives this event if the state of a control within the FilePicker service dialog changes.

Parameters

  aEvent | of type FilePickerEvent that describes the event.

See also
  com::sun::star::ui::dialogs::FilePickerEvent

## ◆ dialogSizeChanged()

void dialogSizeChanged | ( |  | ) |

A client receives this event if the size of the FilePicker dialog has changed.

If the FilePicker dialog contains a preview the client may ask for the new dimension of the preview area.

## ◆ directoryChanged()

void directoryChanged | ( | [in] FilePickerEvent | aEvent | ) |

A client receives this event if the directory selection within the FilePicker dialog changes.

Parameters

  aEvent | Of type FilePickerEvent that describes the event.

See also
  com::sun::star::ui::dialogs::FilePickerEvent

## ◆ fileSelectionChanged()

void fileSelectionChanged | ( | [in] FilePickerEvent | aEvent | ) |

A client receives this event if the file selection within the FilePicker service dialog changes.

Parameters

  aEvent | of type FilePickerEvent that describes the event

See also
  com::sun::star::ui::dialogs::FilePickerEvent

## ◆ helpRequested()

string helpRequested | ( | [in] FilePickerEvent | aEvent | ) |

A client receives this event if the F1 key or the help button was pressed.

Parameters

  aEvent | of type FilePickerEvent that describes the event

Returns
  A help string which the FilePicker dialog should use to display a help for a specific control. If the returned string is empty it is undefined how the FilePicker implementation will behave. It may show a message "no help available" or may show no help at all.

See also
  com::sun::star::ui::dialogs::FilePickerEvent

The documentation for this interface was generated from the following file:

- com/sun/star/ui/dialogs/XFilePickerListener.idl